clear

set maxvar 30000

use cleanV3.dta

forvalues x = 1/10{

gen e`x's = .
gen e`x'num = .
gen e`x'e = .
gen e`x'censored = .
gen e`x'next = .
gen e`x'ms = . 
gen e`x'msa = . 
gen e`x'prev = . 
forvalue y = 1/300{
gen e`x'num`y' = .
gen e`x'wage`y' = .
gen e`x'leave`y' = .
}
}



/**********************************Create Employment spells with wage data**********************************/
forvalues x = 2/849{
local xm1 = `x' - 1
local xp1 = `x' + 1

forvalues y = 1/9{
local z = 11 - `y'
local zm1 = 11 - `y' - 1
//replace e`z's = `x' if e`z's == . & e`zm1'e!=. & w`xm1'<9700 & w`x'>9700
replace e`z's = `x' if e`z's == . & e`zm1'e!=. & w`xm1'!=w`x' & w`x'>9700
replace e`z'prev = w`xm1' if e`z'prev == . & e`z's!= .
replace e`z'num = w`x' if e`z's != . & e`z'num == .
replace e`z'ms = mart`x' if e`z'ms == . & e`z's!= .
replace e`z'msa = msa`x' if e`z'msa == . & e`z's!= .
replace e`z'num1  = w`x' if e`z'num1 == . & e`z's!= . & e`z'e == .
forvalues a = 1/299{
local bm1 = 301 - `a' - 1
local b   = 301 - `a'
replace e`z'num`b'  = w`x' if e`z'num`bm1' != . & e`z'num`b' == . & e`z's!= . & e`z'e == .
}
//replace e`z'next = w`xp1' if e`z'e == . & e`z's != . & w`xp1' <9700
//replace e`z'next = 7 if e`z'e == . & e`z's != . & w`xp1' <9700 & (jail`x' == 7 | jail`xp1' == 7)
replace e`z'next = w`xp1' if e`z'e == . & e`z's != . & w`xp1'!=w`x'
replace e`z'next = 7 if e`z'e == . & e`z's != . & w`xp1'!=w`x' & (jail`x' == 7 | jail`xp1' == 7 | jail`xm1' == 7)
//replace e`z'e = `x' if e`z'e == . & e`z's != . & w`xp1' <9700
replace e`z'censored = 1 if e`z'e == . & e`z's != . & w`xp1' <0
replace e`z'e = `x' if e`z'e == . & e`z's != . & w`xp1'!=w`x'
}

//Note educe allows for sequence to start
replace e1s = `x' if e1s == . & w`xm1'<9700 & w`x'>9700 & educe <= `x'
replace e1prev = w`xm1' if e1prev == . & e1s!= .
replace e1num = w`x' if e1s != . & e1num == .
replace e1ms = mart`x' if e1ms == . & e1s!= .
replace e1msa = msa`x' if e1msa == . & e1s!= .
replace e1num1  = w`x' if e1num1 == . & e1s!= . & e1e == .
forvalues a = 1/299{
local bm1 = 301 - `a' - 1
local b   = 301 - `a'
replace e1num`b'  = w`x' if e1num`bm1' != . & e1num`b' == . & e1s!= . & e1e == .
}
//replace e1next = w`xp1' if e1e == . & e1s != . & w`xp1' <9700
//replace e1next = 7 if e1e == . & e1s != . & w`xp1' <9700 & (jail`x' == 7 | jail`xp1' == 7)
replace e1next = w`xp1' if e1e == . & e1s != . & w`xp1'!=w`x'
replace e1next = 7 if e1e == . & e1s != . & w`xp1'!=w`x' & (jail`x' == 7 | jail`xp1' == 7)
//replace e1e = `x' if e1e == . & e1s != . & w`xp1' <9700
replace e1censored = 1 if e1e == . & e1s != . & w`xp1' <0
replace e1e = `x' if e1e == . & e1s != . & w`xp1'!=w`x'

}


forvalues x = 1/10{
gen e`x'spell = e`x'e-e`x's+1
}

forvalues x = 1/10{
forvalues y = 1/299{

replace e`x'wage`y' = w1997j1 if e`x'num`y' == ji199701
replace e`x'wage`y' = w1997j2 if e`x'num`y' == ji199702
replace e`x'wage`y' = w1997j3 if e`x'num`y' == ji199703
replace e`x'wage`y' = w1997j4 if e`x'num`y' == ji199704
replace e`x'wage`y' = w1997j5 if e`x'num`y' == ji199705
replace e`x'wage`y' = w1997j6 if e`x'num`y' == ji199706
replace e`x'wage`y' = w1997j7 if e`x'num`y' == ji199707

replace e`x'wage`y' = w1998j1 if e`x'num`y' == ji199801
replace e`x'wage`y' = w1998j2 if e`x'num`y' == ji199802
replace e`x'wage`y' = w1998j3 if e`x'num`y' == ji199803
replace e`x'wage`y' = w1998j4 if e`x'num`y' == ji199804
replace e`x'wage`y' = w1998j5 if e`x'num`y' == ji199805
replace e`x'wage`y' = w1998j6 if e`x'num`y' == ji199806
replace e`x'wage`y' = w1998j7 if e`x'num`y' == ji199807


replace e`x'leave`y' = rlj1997j1 if e`x'num`y' == ji199701
replace e`x'leave`y' = rlj1997j2 if e`x'num`y' == ji199702
replace e`x'leave`y' = rlj1997j3 if e`x'num`y' == ji199703
replace e`x'leave`y' = rlj1997j4 if e`x'num`y' == ji199704
replace e`x'leave`y' = rlj1997j5 if e`x'num`y' == ji199705
replace e`x'leave`y' = rlj1997j6 if e`x'num`y' == ji199706
replace e`x'leave`y' = rlj1997j7 if e`x'num`y' == ji199707

replace e`x'leave`y' = rlj1998j1 if e`x'num`y' == ji199801
replace e`x'leave`y' = rlj1998j2 if e`x'num`y' == ji199802
replace e`x'leave`y' = rlj1998j3 if e`x'num`y' == ji199803
replace e`x'leave`y' = rlj1998j4 if e`x'num`y' == ji199804
replace e`x'leave`y' = rlj1998j5 if e`x'num`y' == ji199805
replace e`x'leave`y' = rlj1998j6 if e`x'num`y' == ji199806
replace e`x'leave`y' = rlj1998j7 if e`x'num`y' == ji199807 


}
}


forvalues x = 1/10{
forvalues y = 1/299{
forvalues z = 1999/2009{
forvalues a = 1/7{
replace e`x'wage`y' = w`z'j`a' if e`x'num`y' == ji`z'0`a'
replace e`x'leave`y' = rlj`z'j`a' if e`x'num`y' == ji`z'0`a'
}
}
}
}

forvalues x = 1/10{
gen e`x'sep = .
forvalues y = 1/299{
replace e`x'sep = e`x'leave`y' if e`x'leave`y' > 0 & e`x'leave`y' != .
}
}



 
save master97empOJS, replace
