clear

set maxvar 25000

#delimit;\

forvalues x = 1/10 {;

use "master97empOJS.dta", clear;

gen spell = `x';

gen start = e`x's;

gen length = e`x'spell;

gen failure = e`x'next;

gen separation = e`x'sep;

forvalues y = 1/300{;
gen wage`y' = e`x'wage`y';
};

gen male = 0;

replace male = 1 if gender == 1;

gen black = 0;

replace black = 1 if race == 1;

gen hispanic = 0;

replace hispanic = 1 if race == 2;

gen edu = educomp;

gen hs = 0;

replace hs = 1 if degree > 0;

gen coll = 0;

replace coll = 1 if degree > 3;

gen married = 0;

replace married = 1 if e`x'ms == 1 | e`x'ms == 2;

gen urban = 0 if e`x'msa == 1;

replace urban = 1 if e`x'msa == 2 | e`x'msa == 3  | e`x'msa == 4 | e`x'msa == 5;

gen age = 1994+start/52-birthyear-birthmonth/12;

keep id spell start length failure separation male black hispanic edu hs coll married urban age wage*;

save "panel`x'.dta", replace;

};

use "panel1.dta", clear;

forvalues x=2/10 {;

append using "panel`x'.dta";

};


forvalues x=1/10 {;

erase "panel`x'.dta";

};

sort id spell;
save "panel_empOJS.dta", replace;
