clear

set maxvar 16000

#delimit;\

forvalues x = 1/10 {;

use master97U.dta, clear;

gen spell = `x';

gen start = u`x's;

gen length = u`x'spell;

gen failure = u`x'next;

gen prev = u`x'prev;

forvalues y = 1/250{;
gen uins`y' = u`x'ui`y';
gen srch`y' = u`x'srch`y';
};

gen male = 0;

replace male = 1 if gender == 1;

gen wage = u`x'wage/100 if u`x'wage>0 & u`x'wage!=.;

gen black = 0;

replace black = 1 if race == 1;

gen hispanic = 0;

replace hispanic = 1 if race == 2;

gen edu = educomp;

gen hs = 0;

replace hs = 1 if degree > 0;

gen coll = 0;

replace coll = 1 if degree > 3;

gen married = 0;

replace married = 1 if u`x'ms == 1 | u`x'ms == 2;

gen urban = 0 if u`x'msa == 1;

replace urban = 1 if u`x'msa == 2 | u`x'msa == 3  | u`x'msa == 4   | u`x'msa == 5;

gen age = 1994+start/52-birthyear-birthmonth/12;

keep id spell start length prev failure male black hispanic edu hs coll married urban age uins* srch* wage;

save "panel`x'.dta", replace;

};

use "panel1.dta", clear;

forvalues x=2/10 {;

append using "panel`x'.dta";

};


forvalues x=1/10 {;

erase "panel`x'.dta";

};

sort spell id;
save "panel_U.dta", replace;
