clear

use panel_N.dta

gen E = 0

replace E = 1 if failure > 100 & length != . & length > 0

gen J = 0

replace J = 1 if failure == 7 & length != . & length > 0

replace length = 849 - start if start > 0 & start != . & length == . & (failure == . | failure < 0)

//For unemployed sample drop outside labor force observations and just get cencored
//replace length = 0 if failure < 99 & failure > 0 & failure != . & failure !=7

replace length = 0 if length == .

replace age = 0 if age == .

forvalues x = 1/52{
replace uins`x' = 0 if uins`x' == . | uins`x' == -4
}

forvalues x = 1/6{
gen ui`x' = 0
}

replace ui1 = 1 if uins1 == 1 | uins2 == 1  | uins3 == 1  | uins4 == 1  | uins5 == 1  | uins6 == 1  | uins7 == 1  | uins8 == 1 | uins9 == 1
replace ui2 = 1 if uins10 == 1 | uins11 == 1 | uins12 == 1 | uins13 == 1 | uins14 == 1 | uins15 == 1 | uins16 == 1 | uins17 == 1 | uins18 == 1 | uins19 == 1
replace ui3 = 1 if uins20 == 1 | uins21 == 1 | uins22 == 1 | uins23 == 1 | uins24 == 1 | uins25 == 1 | uins26 == 1 | uins27 == 1 | uins28 == 1 | uins29 == 1
replace ui4 = 1 if uins30 == 1 | uins31 == 1 | uins32 == 1 | uins33 == 1 | uins34 == 1 | uins35 == 1 | uins36 == 1 | uins37 == 1 | uins38 == 1 | uins39 == 1
replace ui5 = 1 if uins40 == 1 | uins41 == 1 | uins42 == 1 | uins43 == 1 | uins44 == 1 | uins45 == 1 | uins46 == 1 | uins47 == 1 | uins48 == 1 | uins49 == 1 
replace ui6 = 1 if uins50 == 1 | uins51 == 1 | uins52 == 1 | uins53 == 1 | uins54 == 1 | uins55 == 1 | uins56 == 1 | uins57 == 1 | uins58 == 1 | uins59 == 1 

forvalues x = 1/6{
gen src`x' = 0
gen counter`x' = 0
}

forvalues x = 1/9{
replace counter1 = counter1 + 1 if srch`x' != .
replace src1 = src1 + 1 if srch`x' != . & srch`x'==4
}
forvalues x = 10/19{
replace counter2 = counter2 + 1 if srch`x' != .
replace src2 = src2 + 1 if srch`x' != . & srch`x'==4
}
forvalues x = 20/29{
replace counter3 = counter3 + 1 if srch`x' != .
replace src3 = src3 + 1 if srch`x' != . & srch`x'==4
}
forvalues x = 30/39{
replace counter4 = counter4 + 1 if srch`x' != .
replace src4 = src4 + 1 if srch`x' != . & srch`x'==4
}
forvalues x = 40/49{
replace counter5 = counter5 + 1 if srch`x' != .
replace src5 = src5 + 1 if srch`x' != . & srch`x'==4
}
forvalues x = 50/250{
replace counter6 = counter6 + 1 if srch`x' != .
replace src6 = src6 + 1 if srch`x' != . & srch`x'==4
}

forvalues x = 1/6{
replace src`x' = src`x'/counter`x' if counter`x' > 0 & counter`x' != .
}

sort spell id

replace length = 0 if urban == . 

replace E = 0 if urban == .

replace J = 0 if urban == .

replace urban = 0 if urban == .

drop if spell > 10

drop if edu <0 | edu > 30

replace wage = . if failure < 100 | length == . | length <= 0

sum wage if wage != ., detail

//Bottom 25%, middle 50%, and top 25%
gen UL = 0
replace UL = 1 if wage <= 7.485 & wage > -9  & wage != .

gen UM = 0
replace UM = 1 if wage < 13.68 & wage > 7.485  & wage != .

gen UH = 0
replace UH = 1 if wage >= 13.68  & wage != .

replace wage = 0 if wage == .

outsheet length E male black hispanic edu hs coll urban age ui1 ui2 ui3 ui4 ui5 ui6 src1 src2 src3 src4 src5 src6 wage UL UM UH using NLSYdataN.csv, comma replace nonames

keep length E male black hispanic edu hs coll urban age ui1 ui2 ui3 ui4 ui5 ui6 src1 src2 src3 src4 src5 src6 wage UL UM UH 

save  NLSYdataN.dta, replace
