clear

use panel_empOJS.dta

forvalues x = 1/6{
gen w`x' = 0
gen counter`x' = 0
}

forvalues x = 1/25{
replace counter1 = counter1 + 1 if wage`x' > 0 & wage`x' != .
replace w1 = w1 + wage`x' if wage`x' > 0 & wage`x' != .
}
forvalues x = 26/51{
replace counter2 = counter2 + 1 if wage`x' > 0 & wage`x' != .
replace w2 = w2 + wage`x' if wage`x' > 0 & wage`x' != .
}
forvalues x = 52/77{
replace counter3 = counter3 + 1 if wage`x' > 0 & wage`x' != .
replace w3 = w3 + wage`x' if wage`x' > 0 & wage`x' != .
}
forvalues x = 78/103{
replace counter4 = counter4 + 1 if wage`x' > 0 & wage`x' != .
replace w4 = w4 + wage`x' if wage`x' > 0 & wage`x' != .
}
forvalues x = 104/129{
replace counter5 = counter5 + 1 if wage`x' > 0 & wage`x' != .
replace w5 = w5 + wage`x' if wage`x' > 0 & wage`x' != .
}
forvalues x = 130/235{
replace counter6 = counter6 + 1 if wage`x' > 0 & wage`x' != .
replace w6 = w6 + wage`x' if wage`x' > 0 & wage`x' != .
}


forvalues x = 1/6{
replace w`x' = w`x'/counter`x' if counter`x' > 0 & w`x' != . & counter`x' != .
}

gen counterT = counter1+counter2+counter3+counter4+counter5+counter6 -1

replace length = 0 if length == . | (counterT != length & length<235) | (length>234 & counterT!=234) 


replace length = 0 if w1>7500
replace length = 0 if w2>7500
replace length = 0 if w3>7500
replace length = 0 if w4>7500
replace length = 0 if w5>7500
replace length = 0 if w6>7500

replace w1 = ln(w1/100) if w1>0
replace w2 = ln(w2/100) if w2>0
replace w3 = ln(w3/100) if w3>0
replace w4 = ln(w4/100) if w4>0
replace w5 = ln(w5/100) if w5>0
replace w6 = ln(w6/100) if w6>0


replace age = 0 if age == .

gen LD = 0

replace LD = 1 if failure > 0 & failure < 99 & failure != 7 & failure != . & length != . & length > 0

gen Q = 0

replace Q = 1 if                failure > 100  & failure != 7 & failure != . & length != . & length > 0

gen M = 0



gen J = 0

replace J = 1 if failure == 7 & length != . & length > 0

replace length = 849 - start if start > 0 & start != . & length == 0 & (failure == . | failure < 0) & (counterT == 849-start+1 | counterT>234)

sort spell id

drop if spell > 10

drop if edu <0 | edu > 30

replace length = 0 if urban == . 

replace LD = 0 if urban == .

replace Q = 0 if urban == .

replace M = 0 if urban == .

replace J = 0 if urban == .

replace urban = 0 if urban == .

outsheet length LD Q M J male black hispanic edu hs coll urban age w1 w2 w3 w4 w5 w6 using NLSYdataEOJS.csv, comma replace nonames

keep length LD Q M J male black hispanic edu hs coll urban age w1 w2 w3 w4 w5 w6

save NLSYdataEOJS.dta, replace


