*	File: summary stats
* 	Purpose: Creates summary stats by UI takers and non takers
*
*===============================================================================
cd "~/Dropbox (Personal)/engelhardt-rupert/begr/stata/data"

*-------------------------------------------------------------------------------
*	Standard Data set
*-------------------------------------------------------------------------------
* read in data
insheet using NLSYdataUFE_bryan.csv, comma names clear

* sort by person and duration
gen temp = _n
sort id temp

* create spell id 
by id: gen spell_id = _n

* create aggregated fixed effects
gen FE9499 = (dum1994 | dum1995 | dum1996 | dum1997 | dum1998 | dum1999)
gen FE0005 = (dum2000 | dum2001 | dum2002 | dum2003 | dum2004 | dum2005)
gen FE0610 = (dum2006 | dum2007 | dum2008 | dum2009 | dum2010)

* drop extra variables
sort spell_id id

* reorder variables
order length e male black hispanic edu hs coll urban age ui1 ui2 asvab ui3 ui4 ui5 ui6 FE9499 FE0005 FE0610 src1 src2 src3 src4 src5 src6 wage ul um uh recall id spell_id

* save new data
outsheet using NLSYdataUFE.csv, comma nonames replace
