*	File: summary stats
* 	Purpose: Creates summary stats by UI takers and non takers
*
*===============================================================================
cd "~/Dropbox (Personal)/engelhardt-rupert/begr/stata/data"

*-------------------------------------------------------------------------------
*	Standard Data set
*-------------------------------------------------------------------------------
* read in data
insheet using NLSYdataU_bryan.csv, comma names clear

* sort by person and duration
gen temp = _n
sort id temp

* create spell id 
by id: gen spell_id = _n

* create log wage
*gen logwage = log(wage + 0.01) if e

* regression 
reg wage male urban black hisp age edu hs col if e 

* predict wage
predict wage_hat if e
gen wage_resid = wage-wage_hat
*replace wage_resid = exp(wage_resid)

xtile wtemp = wage_resid, n(4)

gen wlow1 = wtemp ==1
gen wmedium1 = (wtemp ==2 | wtemp ==3 )
gen whigh1 = wtemp ==4

* replace wage dummies
replace ul = wlow1
replace um= wmedium1
replace uh = whigh1

* drop extra variables
sort spell_id id
drop wage_hat wage_resid wlow1 wmedium1 whigh1 wtemp

* reorder variables
order length e male black hispanic edu hs coll urban age ui1 ui2 asvab ui3 ui4 ui5 ui6 src1 src2 src3 src4 src5 src6 wage ul um uh recall id spell_id

* save new data
outsheet using NLSYdataU_resid.csv, comma nonames replace
